<?php

namespace Booktics\Taxonomy;

use Booktics\Providers\Base_Service_Provider;

class Taxonomy_Service_Provider extends Base_Service_Provider {
    /**
     * Store services
     *
     * @var array
     */
    protected array $services = array(
        Category::class,
    );

    /**
     * Register services
     *
     * @return  void
     */
    public function get_services() {
        return apply_filters( 'booktics_taxonomy_services', $this->services );
    }

    /**
     * Boot the services
     *
     * @return void
     */
    public function boot() {
        foreach ( $this->get_services() as $service ) {
            new $service();
        }
    }
}
